SolrObject::offsetSet
SolrClient
SolrObject
PHP Manual

# SolrObject::offsetUnset

(PECL solr >= 0.9.2)

SolrObject::offsetUnset — Sets the value for the property

### Description

public void SolrObject::offsetUnset ( string `$property_name` )

Sets the value for the property. This is used when the object is treated as an array. This object is read-only. This should never be attempted.

### Parameters

`property_name`

  The name of the property.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 SolrObject::offsetUnset() example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method()

SolrObject::offsetSet
SolrClient
SolrObject
PHP Manual